Subject: bug#68401: 30.0.50; ERC 5.6-git: `erc-cmd-GMSG', `erc-cmd-AMSG', `erc-cmd-GME', `erc-cmd-AME'. 2nd attempt

From: Emanuel Berg <[email-masked]>
Date: Wed, 24 Jan 2024 02:28:35 +0100

J.P. wrote:

>> Source file
>> `/home/incal/src/emacs/lisp/emacs-lisp/bytecomp.el' newer
>> than byte-compiled file; using older file

Yes, why?

But that was it anyway

$ rm **/*.elc

and then the test pass.

  Running 1 tests (2024-01-24 02:16:59+0100, selector `erc-scenarios-misc-commands--AMSG-GMSG-AME-GME')
     passed  1/1  erc-scenarios-misc-commands--AMSG-GMSG-AME-GME (1.949450 sec)

  Ran 1 tests, 1 results as expected, 0 unexpected (2024-01-24 02:17:01+0100, 1.950114 sec)

So what will happen now, I'll remove the logical connectivity
checker and all calls to it and then do the whole patch thing
again for the fifth or sixth time? I've lost track.

This, for one page of code that is pretty trivial in nature
and took 10~15 minutes to write, tops. It worked before we did
all this and it works now. The changes we have introduced have
been minimal and could have been formulated in three or four
simple sentences.

Like I said in the beginning of the thread to Eli, modern
society won't ever, ever allow for this kind of inefficiency.
And by modern, I mean - 1975 and onwards?

But fine, no need to be frustrated about it, I got to practice
the git commands over and over. Now let's hope we can make it
happen this time around then.

-- 
underground experts united
https://dataswamp.org/~incal